from datetime import datetime
from django.db import models
from sandbox.trash.managers import NonTrashManager, TrashManager

class Item(models.Model):
	name = models.CharField(maxlength=255)
	trashed_at = models.DateTimeField(blank=True, null=True)

	objects = NonTrashManager()
	trash = TrashManager()

	def __str__(self):
		return '%d (%s)' % (self.id, (self.trashed_at and 'trashed' or 'not trashed'))

	def delete(self, trash=True):
		if not self.trashed_at and trash:
			self.trashed_at = datetime.now()
			self.save()
		else:
			super(Item, self).delete()

	def restore(self, commit=True):
		self.trashed_at = None
		if commit:
			self.save()
