from django.core.urlresolvers import reverse
from django.http import Http404, HttpResponseRedirect
from django.shortcuts import render_to_response
from sandbox.trash.models import Item

def browse(request, template, items):
	restored = trashed = None
	if 'restored' in request.GET:
		restored = Item.objects.filter(id=request.GET['restored'])
		restored = restored.count() and restored[0] or None
	if 'trashed' in request.GET:
		 trashed = Item.trash.filter(id=request.GET['trashed'])
		 trashed = trashed.count() and trashed[0] or None
	return render_to_response(template, {'items': items, 'restored_item': restored, 'trashed_item': trashed})

def browse_items(request):
	return browse(request, 'trash/browse_items.html', Item.objects.all())

def browse_trash(request):
	return browse(request, 'trash/browse_trash.html', Item.trash.all())

def purge(request, item_id):
	''' Permanently delete a trashed item. '''
	item = Item.trash.get(id=item_id)
	item.delete()
	return HttpResponseRedirect(reverse('sandbox.trash.views.browse_trash'))

def restore(request, item_id):
	''' Restore an item previously marked for deletion. '''
	item = Item.trash.get(id=item_id)
	item.restore()
	url = reverse('sandbox.trash.views.browse_%s' % (request.GET.has_key('undo') and 'items' or 'trash'))
	return HttpResponseRedirect('%s?restored=%d' % (url, item.id))

def trash(request, item_id):
	''' Mark an item for deletion. '''
	item = Item.objects.get(id=item_id)
	item.delete()
	url = reverse('sandbox.trash.views.browse_%s' % (request.GET.has_key('undo') and 'trash' or 'items'))
	return HttpResponseRedirect('%s?trashed=%d' % (url, item.id))
